<script>

var db;
init();

// Open this page's local database.
function init() {
  var success = false;

  if (window.google && google.gears) {
    try {
      db = google.gears.factory.create('beta.database');

      if (db) {
        db.open('cloudosys');
        db.execute('create table if not exists Files' +
                   ' (Id varchar(255), Name varchar(255), Link varchar(255), Panel int, Timestamp int, Grouphash varchar(255), Groupname varchar(255))');

        success = true;
        // Initialize the UI at startup.
		sync();
        //displayrecentNames();
      }

    } catch (ex) {
      setError('Could not create database: ' + ex.message);
    }
  }
	
  // Enable or disable UI elements

  var inputs = document.forms[0].elements;
  for (var i = 0, el; el = inputs[i]; i++) {
    el.disabled = !success;
  }

}
function sync(){
	//asyncComputation(JSONLinkList);
	db.execute('delete from Files');
	//Update db with JSON string; This process takes a while so send to Worker Pool
  	for( w = 0; w < JSONLinkList.list.length; w++ ){	
  		id = JSONLinkList.list[w].id;
		name = JSONLinkList.list[w].name;
		panel = JSONLinkList.list[w].panel;
		link = JSONLinkList.list[w].link;
		hash = JSONLinkList.list[w].hash;
		group = JSONLinkList.list[w].group;
		var currTime = new Date().getTime();
		db.execute('insert into Files values (?, ?, ?, ?, ?, ?, ?)', [id, name, link, panel, currTime, hash, group]);
	}
}
function handleSubmit() {
  if (!google.gears.factory || !db) {
    return;
  }

  var elm = getElementById('submitValue');
  var name = elm.value;
  var currTime = new Date().getTime();

	//sync();

  // Insert the new item.
  // The Gears database automatically escapes/unescapes inserted values.
  db.execute('insert into Files values (?, ?, ?, ?, ?)', ['id', name, 'link', 0, currTime]);

  // Update the UI.
  elm.value = '';
  displayrecentNames();
}


function displayrecentNames() {
  var recentNames = ['', '', '', '', ''];

  // Get the 5 most recent entries. Delete any others.
  var rs = db.execute('select * from Files order by Timestamp desc');

  var index = 0;
  while (rs.isValidRow()) {
    if (index < 6) {
      recentNames[index] = rs.field(1);
    } /*else {
      db.execute('delete from Files where Timestamp=?', [rs.field(4)]);
    }*/
    ++index;
    rs.next();
  }
  rs.close();

  var status = getElementById('status');
  status.innerHTML = '';
  for (var i = 0; i < recentNames.length; ++i) {
    var id = 'phrase' + i;
    status.innerHTML += '<span id="' + id + '"></span><br>';
    var bullet = '(' + (i + 1) + ') ';
    setTextContent(getElementById(id), bullet + recentNames[i]);
  }
}

</script>
